From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/argh/
Date: Tue, 28 Feb 2017 12:56:20 +0000 (UTC) [thread overview]
Message-ID: <1488286572.a834ae67dcf747ad637bc27a6aa1153ee266c06d.grozin@gentoo> (raw)
commit: a834ae67dcf747ad637bc27a6aa1153ee266c06d
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 28 12:56:12 2017 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Tue Feb 28 12:56:12 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a834ae67
dev-python/argh: python3_6 added
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-python/argh/argh-0.26.2-r1.ebuild | 31 +++++++++++++++++++++++++++++++
1 file changed, 31 insertions(+)
diff --git a/dev-python/argh/argh-0.26.2-r1.ebuild b/dev-python/argh/argh-0.26.2-r1.ebuild
new file mode 100644
index 0000000000..9cc6202a65
--- /dev/null
+++ b/dev-python/argh/argh-0.26.2-r1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 63af6434dd2b62e30b4853bcb9a6d8bfe13fead3 $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple argparse wrapper"
+HOMEPAGE="http://packages.python.org/argh/"
+SRC_URI="mirror://pypi/a/${PN}/${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+LICENSE="LGPL-3"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/iocapture[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7 pypy)
+ ${RDEPEND}
+ )"
+
+python_test() {
+ py.test || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2017-02-28 12:56 UTC|newest]
Thread overview: 65+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-02-28 12:56 Andrey Grozin [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-03 6:24 [gentoo-commits] repo/gentoo:master commit in: dev-python/argh/ Michał Górny
2024-07-14 3:23 Michał Górny
2024-06-13 16:15 Michał Górny
2024-05-18 15:40 Michał Górny
2024-02-08 14:48 Michał Górny
2024-02-08 14:43 Michał Górny
2024-01-25 4:52 Michał Górny
2024-01-19 18:28 Arthur Zamarin
2024-01-18 18:46 Michał Górny
2024-01-18 18:03 Arthur Zamarin
2024-01-13 10:22 Michał Górny
2024-01-13 9:51 Arthur Zamarin
2023-12-31 7:17 Michał Górny
2023-12-26 6:44 Michał Górny
2023-11-22 11:59 Michał Górny
2023-11-05 5:36 Michał Górny
2023-10-31 7:53 Michał Górny
2023-10-25 7:43 Michał Górny
2023-10-24 5:27 Michał Górny
2023-10-22 6:55 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:29 Sam James
2023-09-24 3:12 Michał Górny
2023-09-04 2:48 Michał Górny
2023-05-27 9:44 Arthur Zamarin
2023-03-11 8:06 Arthur Zamarin
2023-02-16 15:14 Michał Górny
2023-02-10 6:52 Michał Górny
2023-02-09 5:56 Michał Górny
2022-06-21 18:39 Arthur Zamarin
2022-06-21 18:19 Arthur Zamarin
2022-05-18 10:47 Andrew Ammerlaan
2021-12-04 17:49 Sam James
2021-12-01 17:47 Arthur Zamarin
2021-11-13 9:45 Arthur Zamarin
2021-09-21 21:37 James Le Cuirot
2021-09-06 23:42 Sam James
2021-08-20 6:00 Agostino Sarubbo
2021-08-20 5:59 Agostino Sarubbo
2021-06-25 19:36 Sam James
2021-06-10 14:02 Yixun Lan
2021-05-19 18:21 Michał Górny
2021-05-15 19:39 Sergei Trofimovich
2021-05-15 19:36 Sam James
2021-05-13 13:19 Sergei Trofimovich
2021-03-15 2:55 Sam James
2020-11-04 5:32 Sam James
2020-06-03 6:41 Michał Górny
2020-03-26 11:48 Michał Górny
2020-03-08 10:42 Agostino Sarubbo
2020-03-08 10:37 Agostino Sarubbo
2020-02-07 7:15 Michał Górny
2020-02-03 20:46 Michał Górny
2019-07-18 10:34 Michał Górny
2019-07-18 10:34 Michał Górny
2019-07-18 10:34 Michał Górny
2019-05-20 2:17 Stephen Klimaszewski
2018-03-30 18:35 Aaron Bauman
2018-03-03 20:58 Michał Górny
2017-05-02 19:15 Michał Górny
2017-01-21 17:27 Agostino Sarubbo
2017-01-21 17:16 Agostino Sarubbo
2016-06-12 17:17 Patrick Lauer
2015-10-15 9:21 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1488286572.a834ae67dcf747ad637bc27a6aa1153ee266c06d.grozin@gentoo \
--to=grozin@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox